Get a call
curl --request GET \
--url https://voice-api.onclarity.com/v1/projects/{projectId}/calls/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://voice-api.onclarity.com/v1/projects/{projectId}/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://voice-api.onclarity.com/v1/projects/{projectId}/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "1b6453892473a467d07372d45eb05abc",
"project_id": "3c59dc04-8a4b-4f7e-9b1a-6c2a0e5d1f22",
"platform_id": "RM_kQ3vZx7pLm2T",
"platform_name": "livekit",
"conversation_id": "8f14e45f-ceea-467f-a0e6-3f1c2b9d7a10",
"participant_identity": "sip_+966500000000",
"originator": {
"type": "pstn",
"phone_number": "+966110000000"
},
"receiver": {
"type": "pstn",
"phone_number": "+966500000000"
},
"did": "+966110000000",
"remote_number": "+966500000000",
"status": "completed",
"reason": null,
"direction": "outgoing",
"type": "pstn",
"duration": 95,
"context": null,
"created_at": "2026-10-20T09:15:00.000Z",
"updated_at": "2026-10-20T09:16:38.000Z",
"ringing_at": "2026-10-20T09:15:00.500Z",
"answered_at": "2026-10-20T09:15:02.000Z",
"ended_at": "2026-10-20T09:16:37.000Z",
"hangup_reason": "agent_hangup",
"hangup_sip_code": null,
"scheduled_for": null,
"amd_result": null,
"tags": null,
"room_name": "call-8f14e45f",
"region_profile": null,
"agent_id": "6f4922f4-5568-461a-8f1d-9c3b2a1e7d55"
}{
"error": "Invalid or revoked token"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "Call not found"
}Calls
Get a call
Returns one call with its numbers, channel, status, timestamps, hang-up reason and SIP code, answering-machine detection result and media metrics. agent_id is the agent that handled the call’s conversation.
GET
/
v1
/
projects
/
{projectId}
/
calls
/
{id}
Get a call
curl --request GET \
--url https://voice-api.onclarity.com/v1/projects/{projectId}/calls/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://voice-api.onclarity.com/v1/projects/{projectId}/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://voice-api.onclarity.com/v1/projects/{projectId}/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "1b6453892473a467d07372d45eb05abc",
"project_id": "3c59dc04-8a4b-4f7e-9b1a-6c2a0e5d1f22",
"platform_id": "RM_kQ3vZx7pLm2T",
"platform_name": "livekit",
"conversation_id": "8f14e45f-ceea-467f-a0e6-3f1c2b9d7a10",
"participant_identity": "sip_+966500000000",
"originator": {
"type": "pstn",
"phone_number": "+966110000000"
},
"receiver": {
"type": "pstn",
"phone_number": "+966500000000"
},
"did": "+966110000000",
"remote_number": "+966500000000",
"status": "completed",
"reason": null,
"direction": "outgoing",
"type": "pstn",
"duration": 95,
"context": null,
"created_at": "2026-10-20T09:15:00.000Z",
"updated_at": "2026-10-20T09:16:38.000Z",
"ringing_at": "2026-10-20T09:15:00.500Z",
"answered_at": "2026-10-20T09:15:02.000Z",
"ended_at": "2026-10-20T09:16:37.000Z",
"hangup_reason": "agent_hangup",
"hangup_sip_code": null,
"scheduled_for": null,
"amd_result": null,
"tags": null,
"room_name": "call-8f14e45f",
"region_profile": null,
"agent_id": "6f4922f4-5568-461a-8f1d-9c3b2a1e7d55"
}{
"error": "Invalid or revoked token"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "Call not found"
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Response
The call.